libzypp: zypp::LogThread Class Reference

libzypp 17.38.8

zypp::LogThread Class Reference

## Public Member Functions
| LogThread (const LogThread &)=delete
| LogThread (LogThread &&)=delete
LogThread & | operator= (const LogThread &)=delete
LogThread & | operator= (LogThread &&)=delete
| ~LogThread ()
void | setLineWriter (zypp::shared_ptr< log::LineWriter > writer)
zypp::shared_ptr< log::LineWriter > | getLineWriter ()
void | stop ()
std::thread::id | threadId ()

## Static Public Member Functions
static LogThread & | instance ()
static std::string | sockPath ()

## Private Member Functions
| LogThread ()
void | workerMain ()

## Private Attributes
std::thread | _thread
zyppng::Wakeup | _stopSignal
SpinLock | _lineWriterLock
shared_ptr< log::LineWriter > | _lineWriter { nullptr }

## Detailed Description

Definition at line 84 of file LogControl.cc.

## Constructor & Destructor Documentation

## ◆ LogThread() [1/3]

zypp::LogThread::LogThread | ( | const LogThread & |  | ) |
| delete

## ◆ LogThread() [2/3]

zypp::LogThread::LogThread | ( | LogThread && |  | ) |
| delete

## ◆ ~LogThread()

zypp::LogThread::~LogThread | ( |  | ) |
| inline

Definition at line 93 of file LogControl.cc.

## ◆ LogThread() [3/3]

zypp::LogThread::LogThread | ( |  | ) |
| inlineprivate

Definition at line 128 of file LogControl.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

LogThread & zypp::LogThread::operator= | ( | const LogThread & |  | ) |
| delete

## ◆ operator=() [2/2]

LogThread & zypp::LogThread::operator= | ( | LogThread && |  | ) |
| delete

## ◆ instance()

LogThread & zypp::LogThread::instance | ( |  | ) |
| inlinestatic

Definition at line 95 of file LogControl.cc.

## ◆ setLineWriter()

void zypp::LogThread::setLineWriter | ( | zypp::shared_ptr< log::LineWriter > | writer | ) |
| inline

Definition at line 100 of file LogControl.cc.

## ◆ getLineWriter()

zypp::shared_ptr< log::LineWriter > zypp::LogThread::getLineWriter | ( |  | ) |
| inline

Definition at line 105 of file LogControl.cc.

## ◆ stop()

void zypp::LogThread::stop | ( |  | ) |
| inline

Definition at line 111 of file LogControl.cc.

## ◆ threadId()

std::thread::id zypp::LogThread::threadId | ( |  | ) |
| inline

Definition at line 117 of file LogControl.cc.

## ◆ sockPath()

std::string zypp::LogThread::sockPath | ( |  | ) |
| inlinestatic

Definition at line 121 of file LogControl.cc.

## ◆ workerMain()

void zypp::LogThread::workerMain | ( |  | ) |
| inlineprivate

Definition at line 137 of file LogControl.cc.

## Member Data Documentation

## ◆ _thread

std::thread zypp::LogThread::_thread
| private

Definition at line 208 of file LogControl.cc.

## ◆ _stopSignal

zyppng::Wakeup zypp::LogThread::_stopSignal
| private

Definition at line 209 of file LogControl.cc.

## ◆ _lineWriterLock

SpinLock zypp::LogThread::_lineWriterLock
| private

Definition at line 214 of file LogControl.cc.

## ◆ _lineWriter

shared_ptr<log::LineWriter> zypp::LogThread::_lineWriter { nullptr }
| private

Definition at line 216 of file LogControl.cc.

The documentation for this class was generated from the following file:

- zypp-core/base/LogControl.cc